curl --request POST \
--url 'https://api.adside.ai/linkedin/mcp#compare_linkedin_performance' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"campaign_ids": [
"<string>"
],
"date_range_start": {
"year": 123,
"month": 6.5,
"day": 16
},
"account_id": "<string>",
"time_granularity": "ALL",
"date_range_end": {
"year": 123,
"month": 6.5,
"day": 16
},
"fields": [
"<string>"
]
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}Compare performance across multiple campaigns side-by-side. Returns analytics grouped by campaign for easy comparison of metrics like impressions, clicks, cost, and conversions.
curl --request POST \
--url 'https://api.adside.ai/linkedin/mcp#compare_linkedin_performance' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"campaign_ids": [
"<string>"
],
"date_range_start": {
"year": 123,
"month": 6.5,
"day": 16
},
"account_id": "<string>",
"time_granularity": "ALL",
"date_range_end": {
"year": 123,
"month": 6.5,
"day": 16
},
"fields": [
"<string>"
]
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.